package com.mortals.xhx.module.door.service;

import com.mortals.framework.common.Rest;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.door.dao.DoorDao;
import com.mortals.xhx.module.door.model.DoorEntity;
import com.mortals.xhx.module.hik.door.model.req.door.HikDoorEventReq;

/**
* DoorService
*
* 门禁设备 service接口
*
* @author zxfei
* @date 2023-11-22
*/
public interface DoorService extends ICRUDService<DoorEntity,Long>{

    DoorDao getDao();

    /**
     *  同步门禁设备事件
     * @param doorEntity
     * @return
     */
    Rest<Void> syncDoorDeviceEvents(DoorEntity doorEntity, HikDoorEventReq hikDoorEventReq);

}