package com.mortals.xhx.module.perform.service;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.perform.model.PerformStaffConfEntity;
import com.mortals.xhx.module.perform.dao.PerformStaffConfDao;
/**
* PerformStaffConfService
*
* 人员自动考核信息 service接口
*
* @author zxfei
* @date 2023-05-16
*/
public interface PerformStaffConfService extends ICRUDService<PerformStaffConfEntity,Long>{

    PerformStaffConfDao getDao();

    /**
     * 检测人员规则是否配置自动核查
     * @param staffId
     * @param deptId
     * @param rulesId
     * @return
     */
    boolean checkRules(Long staffId,Long deptId,Long rulesId);
}